import { DatabaseService } from './database.service';
import { ElectronProxyService } from './electron-proxy.service';
import { LaunchService } from './launch.service';
import { ProbeService } from './probe.service';
import { MachineService } from './machine.service';
import { DiscoveryService } from './discovery.service';
import { PingService } from './ping.service';

export const SERVICES = [
  DatabaseService,
  ElectronProxyService,
  LaunchService,
  ProbeService,
  MachineService,
  DiscoveryService,
  PingService,
];
