import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Interface } from '@overflow/model/net/nic';

import { ProbeService } from './probe.service';


@Injectable()
export class MachineService {

  public constructor(
    private probeService: ProbeService,
  ) {

  }

  public interfaces(): Observable<Interface[]> {
    return this.probeService.call<Interface[]>('MachineService.Interfaces');
  }

}
